<?php
/*                            eyeOS project
                     Internet Based Operating System
                               Version 1.0
                     www.eyeOS.org - www.eyeOS.info
       -----------------------------------------------------------------
                                 eyeOS Team
                        http://www.eyeos.org/whoarewe
       -----------------------------------------------------------------
          eyeOS is released under the GNU General Public License - GPL
               provided with this release in license.txt
                   or via web at www.gnu.org/licenses/gpl.txt

                Copyright 2005-2007 eyeOS Team (team@eyeos.org)

          To help continued development please consider a donation at
            http://www.eyeos.org/donations         
*/
global $root, $prefix, $PHP_SELF, $SERVER_NAME, $showsize, $display, $excludedir, $excludefile;
/* Array de directorios que no deben ser visualizados.
 * Sintaxis: $excludedir[] = "directory"; */
$excludedir[] = "temp";
$excludedir[] = "tmp";
$excludedir[] = "Desktop";
/* Array de archivos que no sern visualizados. */
$excludefile[] = "";

function eyeExplorer_run($params=null) {
	global $myPid;
	$file=$params[0];
	if(!$file) {
		$file = '/';
	}	
	$myWindow1 = new Window(array(
		'name' => 'eyeExplorer_WND1',
		'father' => 'eyeApps',
		'cent' => 1,
		'width' => 700,
		'height' => 600,
		'title' => 'eyeExplorer'
	));
	$myWindow1->show();
	
	if (IE > 0) {
		$myYtxtBox = 25;
	} else {
		$myYtxtBox = 25;
	}
	/*barra de direcciones*/
	$myTextBox = new Textbox(array('name'=>'eyeFilesText','father'=>'eyeExplorer_WND1','width'=>'586',
		'x'=>60,'y'=>$myYtxtBox,'text'=>$file));
	$myTextBox->show();
	$myTextBox->setCss(array('border'=>'none','background-image'=>'url(index.php?extern=apps/eyeFiles/gfx/PathCenter.png)',
		'background-repeat'=>'repeat-x','height'=>'18px','padding-top'=>'3px'));
		$myImage1 = new Imagebox(array('name'=>'left_textbox_img','father'=>'eyeExplorer_WND1',
		'url'=>'index.php?extern=apps/eyeFiles/gfx/PathLeft.png',
		'x'=>49,'y'=>$myYtxtBox));
	$myImage1->show();
	
	$myImage2 = new Imagebox(array('name'=>'right_textbox_img','father'=>'eyeExplorer_WND1',
		'url'=>'index.php?extern=apps/eyeFiles/gfx/PathGo.png','signal'=>'goToPath','disableMsg'=>0,
		'x'=>635,'y'=>$myYtxtBox));
	$myImage2->addFriend($myTextBox);
	$myImage2->show();
	$myImage2->setCss(array('cursor'=>'Pointer'));
	/* imagen IR */		
	$myImage5 = new Imagebox(array('name'=>'top_img','father'=>'eyeExplorer_WND1',
		'url'=>'index.php?extern=apps/eyeFiles/gfx/Top.png',
		'x'=>14,'y'=>$myYtxtBox,'signal'=>'goTop','disableMsg'=>0));
	$myImage5->addFriend($myTextBox);
	$myImage5->show();
	$myImage5->setCss(array('cursor'=>'Pointer'));		

	/*directorios*/
	$myBox = new Box(array('name'=>'directorios_BOX','father'=>'eyeExplorer_WND1','x'=>6,'y'=>$myYtxtBox+30,'width'=>200,
		'height'=>400,'title'=>'Carpetas'));	
	$myBox->show();
	$myBox->setCss(array('vertical-align'=>'top'));
	
	/* contamos la profundidad del directorio del usuario para descontarselo a la profundidad total */
	$profundidadServidor = substr_count(service('um','getCurrentUserDir')."files/", "/") + substr_count(service('um','getCurrentUserDir')."files/", "\\");
	
	//cargamos el javascript		
	/*
	if(is_readable(EYE_ROOT.'/'.EXTERN_DIR.'/'.'apps/eyeExplorer/js/eyeExplorer.js')) {
		$fp = fopen(EYE_ROOT.'/'.EXTERN_DIR.'/'.'apps/eyeExplorer/js/eyeExplorer.js','r');
		$content = fread($fp,filesize(EYE_ROOT.'/'.EXTERN_DIR.'/'.'apps/eyeExplorer/js/eyeExplorer.js'));
		fclose($fp);
		//$content = str_replace('$myPid',$myPid,$content);
		//$content = str_replace('$checknum',$checknum,$content);		
		service('eyex','rawjs',array('js'=>$content));
	}	
	*/		
	/*CREACION DEL ARBOL DE DIRECTORIOS*/
	
/* Sitemap version 2.0 (C) copyright Metalhead 2003
 * Pgina web: http://www.metalhead.ws/phpbin/
 * Este script se distribuye bajo los trminos de la
 * Licencia Pblica General GNU (GNU GPL)
 * Una copia de la GPL ha sido includa con el script. */
/* Seccin de Configuracin */
$showsize = 1; /* Mostrar el tamao de los archivos? 1 = s, 0 = no */


/* prueba inicial... */
$root = getcwd();
$pre = explode("/", $REQUEST_URI);
array_pop($pre);
$prefix = join("/", $pre);
/* Si el script se encuentra en un subdirectorio, descomenta las
 * siguientes dos lineas para generar el rbol de todos los
 * archivos y directorios del servidor web */
//$root = str_replace($prefix, "", $root);
//$prefix = "";

$myImage = new Imagebox(array('name'=>'imgHome','father'=>'directorios_BOX',
		'url'=>'index.php?extern=apps/eyeExplorer/gfx/home.png',
		'x'=>5,'y'=>30,'signal'=>'goTop','disableMsg'=>0));
$myImage->show();
$myLabel = new Label(array('name'=>'etiquetaHome',
							'father'=>'directorios_BOX','text'=>'Home/','y'=>30,'x'=>25,
							'disablemsg'=>0,'signal'=>'siteExecute'));
$myLabel->show();						
							
$myImage = new Imagebox(array('name'=>'imgLinea1','father'=>'directorios_BOX',
		'url'=>'index.php?extern=apps/eyeExplorer/gfx/line.gif',
		'x'=>5,'y'=>46,'signal'=>'goTop','disableMsg'=>0));
$myImage->show();
$myImage = new Imagebox(array('name'=>'imgEscritorio','father'=>'directorios_BOX',
		'url'=>'index.php?extern=apps/eyeExplorer/gfx/desktop.png',
		'x'=>25,'y'=>46,'signal'=>'goTop','disableMsg'=>0));
$myImage->show();
$myLabel = new Label(array('name'=>'etiquetaEscritorio',
							'father'=>'directorios_BOX','text'=>'Escritorio','y'=>46,'x'=>45,
							'disablemsg'=>0,'signal'=>'siteExecute'));
$myLabel->show();
						
list_dir($root,$profundidadServidor,45,46);
/*
$listado = $listado."<tr><td><img align=absmiddle src=index.php?extern=apps/eyeExplorer/gfx/line.gif><img align=absmiddle src=index.php?extern=apps/eyeExplorer/gfx/desktop.png> Escritorio</td></tr>\n";
$listado .= list_dir($root,$profundidadServidor);
$listado = $listado."<tr><td><img align=absmiddle src=index.php?extern=apps/eyeExplorer/gfx/joinbottom.gif><img align=absmiddle src=index.php?extern=apps/eyeExplorer/gfx/trash.gif> Papelera</td></tr>\n";
$listado = $listado."</table>\n";
*/
	
}

function get_extension($name)
{
   $array = explode(".", $name);
   $retval = strtolower(array_pop($array));
   return $retval;
}

/* Rekurencja... */
function list_dir($chdir,$profundidadServidor,$posX,$posY)
{
   /* algunas variables globales y un poco de orden */
   global $root, $prefix, $PHP_SELF, $SERVER_NAME, $showsize, $display, $excludedir, $excludefile;
   unset($sdirs);
   unset($sfiles);
   chdir($chdir);
   $sAux = "";
   $self = basename($PHP_SELF);
  /* abrimos el directorio actual */
  $handle = opendir('.');
  /* leemos el directorio. Si el objeto
  * es un directorio lo introducimos a
  * $sdirs, si se trata de un archivo
  * que nos interesa (exceptuando el
  * que contiene este script), lo colocamos
  * en $sfiles */
  while ($file = readdir($handle))
  {
    if(is_dir($file) && $file !=
       "." && $file != ".."
       && !in_array($file,
         $excludedir))
    { $sdirs[] = $file; }
    elseif(is_file($file)
      && $file != "$self"
      && array_key_exists(
        get_extension($file),
          $display)
      && !in_array($file,
        $excludefile))
    { $sfiles[] = $file; }
  }
   /* contamos las barras para saber la profundidad a la que estamos
    * o en la estructura de directorios y cuntos segmentos debemos
    * usar de la rama en la que estamos */
   $dir = getcwd();
   $dir1 = str_replace($root, "", $dir."/");
   $count = substr_count($dir1, "/") + substr_count($dir1, "\\") - $profundidadServidor-3;
   /* mostramos por pantalla los nombres y obtenemos la lista recursiva de los
    * directorios */
   if(is_array($sdirs)) {
      sort($sdirs);
      reset($sdirs);
      for($y=0; $y<sizeof($sdirs); $y++) {         
         for($z=1; $z<=$count; $z++){ 
         		$posX += 16;
         		$myImage = new Imagebox(array('name'=>'imgLinea'.$posX.$posY,'father'=>'directorios_BOX',
							'url'=>'index.php?extern=apps/eyeExplorer/gfx/line.gif',
							'x'=>$posX,'y'=>$posY,'signal'=>'goTop','disableMsg'=>0));
						$myImage->show();         								
         	}         	
         if(y == sizeof($sdirs)-1){         	 
         	 $myImage = new Imagebox(array('name'=>'imgLinea'.$posX.$posY,'father'=>'directorios_BOX',
							'url'=>'index.php?extern=apps/eyeExplorer/gfx/joinbottom.gif',
							'x'=>$posX+16,'y'=>$posY,'signal'=>'goTop','disableMsg'=>0));
						$myImage->show();         								
         }else{               
         $myImage = new Imagebox(array('name'=>'imgLinea'.$posX.$posY,'father'=>'directorios_BOX',
				 'url'=>'index.php?extern=apps/eyeExplorer/gfx/join.gif',
				 'x'=>$posX+16,'y'=>$posY,'signal'=>'goTop','disableMsg'=>0));
         }
         $myImage = new Imagebox(array('name'=>'imgLinea'.$posX.$posY,'father'=>'directorios_BOX',
				 'url'=>'index.php?extern=apps/eyeExplorer/gfx/folder.png',
				 'x'=>$posX+32,'y'=>$posY,'signal'=>'goTop','disableMsg'=>0));
         
         list_dir($dir."/".$sdirs[$y],$profundidadServidor,$posX,$posY+16);        
      }
   }
   chdir($chdir);       
}

function eyeExplorer_end($params=null) {
	reqLib('eyeWidgets','unserialize');
}


?>